/**
 * @file
 * Bartik layout styling.
 */

/**
 * Container
 */
 
* {
    box-sizing: border-box;
}
 
 
.layout-container {
  box-sizing: border-box;
  max-width: 860px;
  margin-right: auto;
  margin-left: auto;
}

@media all and (min-width: 851px) {
  .layout-container {
    max-width: 1290px;
  }
}

/**
 * Main
 */
.layout-main-wrapper {
  min-height: 300px;
}
.layout-main {
  margin-top: 20px;
  margin-bottom: 40px;
}


@font-face {
	font-family: 'ManropeB'; 
	src: url(/themes/contrib/bartik/fonts/Manrope-Bold.ttf); 
}

@font-face {
	font-family: 'ManropeEB'; 
	src: url(/themes/contrib/bartik/fonts/Manrope-ExtraBold.ttf); 
}

@font-face {
	font-family: 'Manrope-EL'; 
	src: url(/themes/contrib/bartik/fonts/Manrope-ExtraLight.ttf); 
}

@font-face {
	font-family: 'ManropeL'; 
	src: url/themes/contrib/bartik/fonts/Manrope-Light.ttf); 
}

@font-face {
	font-family: 'ManropeM'; 
	src: url(/themes/contrib/bartik/fonts/Manrope-Medium.ttf); 
}

@font-face {
	font-family: 'ManropeR'; 
	src: url(/themes/contrib/bartik/fonts/Manrope-Regular.ttf); 
}

@font-face {
	font-family: 'ManropeS'; 
	src: url(/themes/contrib/bartik/fonts/Manrope-SemiBold.ttf); 
}

body{
	/*background-image:url(/themes/contrib/bartik/img/b_body.gif);
    background-size: cover;
    background-repeat: no-repeat;*/
	font-family: 'ManropeR';
	
	color:black;
}


#page-wrapper{
	width:1120px;
	margin:0 auto;
}

#page-wrapper p{
	color:black;
}

#page-wrapper h1{
	font-family:ManropeB;
}

ul.sp-news-cont >li{
	display:flex;
	align-items: center;
	justify-content: space-between;
	margin:0px 0px 30px 0px !important;
}

ul.sp-news-cont >li img{
	max-width:none;
}

ul.sp-news-cont >li .views-field-field-foto-anonsa{
	margin-right:30px;
}



ul.sp-questions-cont >li{
	/*display:flex;
	align-items: center;
	justify-content: space-between;
	margin:0px 0px 30px 0px !important;
	*/
}

ul.sp-questions-cont .div_question a{
	display:flex;
	align-items: center;
	/*justify-content: space-between;*/
	margin:0px 0px 30px 0px !important;
	border:none;
	padding: 15px 15px;
	position:relative;
	
}

ul.sp-questions-cont .div_question a:hover{
	background-color: rgba(0, 0, 0, 0.1);
	border-radius:5px;
}

ul.sp-questions-cont .div_question a >div:nth-of-type(1){
	margin-right:15px;
}


ul.sp-questions-cont >li img{
	max-width:none;
	border-radius:10px;
}



.views-field-field-foto-anonsa-vopros{
	margin-right:15px;
}

ul.sp-questions-cont >li .iews-field-field-foto-anonsa-vopros{
	margin-right:30px;
}

.node--type-vopros-otvet .field--name-field-sam-otvet .field__items{
	display:none;
}

.node--type-vopros-otvet .field--name-field-sam-otvet .field__item{
	border-bottom: 2px dashed red;
}


.node--type-vopros-otvet .field--name-field-sam-otvet .field__label{
	background:red;
	width:max-content;
	margin:0 auto;
	padding: 20px 20px;
    border-radius: 5px;
	color:white;
	font-size: 15pt;
}

.node--type-vopros-otvet .field--name-field-sam-otvet .field__label:hover{
	cursor:pointer;
}

.zag_vopr_otv a{
	color: #121FCF;
    font-family: ManropeB;
	font-size: 13pt;
	border:none;
}

.zag_vopr_otv a:hover{
	text-decoration:underline;
}

.data_vopr_otv{
	color: red;
    font-family: 'ManropeB';
}

.data_vopr_otv span{
	color:black;
}

.main-content h2{
	font-family: 'ManropeB';
}

.view-display-id-mmain_news .view-content{
	display:flex;
	justify-content: space-between;
}

.view-display-id-mmain_news .view-content .str-news{
    border: 2px solid red;
    border-radius: 5px;
    padding: 10px;
	margin-right:10px;
}

.view-display-id-mmain_news .view-content .str-news:last-child{
	margin-right:0px;
}

.view-display-id-mmain_news .view-content .str-news a{
	 font-family: 'ManropeB';
}

.view-display-id-mmain_news .view-content .str-news a:hover{
	color:grey;
}

.block-views-blocknovosti-na-glavnoy-mmain-news >h2{
	width:max-content;
	font-family: ManropeEB;
	font-size: 19pt !important;
	 background: #121FCF;
    background: linear-gradient(to right, #121FCF 0%, #CF1512 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#main{
	display:flex;
	
}


.podr_question{
	background: grey;
	width: max-content;
	padding: 10px 20px;
	border-radius: 10px;
	color:white;
	margin-top: 10px;
}


.block-cat-vopr-i-otvet{
	width:100%;
}

.block-cat-vopr-i-otvet ul{
	display:flex;
	justify-content:space-between;
}

.block-cat-vopr-i-otvet ul >li{
    font-size: 14px;
    font-weight: 700;
    /*background-color: rgba(0, 0, 0, 0.1);*/
    width: 25%;
    text-align: center;
	border-radius: 5px;
	
	 background: linear-gradient(-45deg,
       #ee7752, /* Первый цвет */
       #e73c7e, /* Второй цвет */
       #23a6d5, /* Третий цвет */
       #23d5ab /* Четвертый цвет */
     );
     background-size: 400% 400%;
     animation: gradient 15s ease infinite;
}

@keyframes gradient {
 
 0% {
     background-position: 0% 50%;
 }
 50% {
     background-position: 100% 50%;
 }
 
 100% {
     background-position: 0% 50%;
 }
}


.block-cat-vopr-i-otvet ul >li a{
	color:black;
	padding: 30px;
	display:block;
	border:none;
}


@media all and (max-width: 650px) {
	
	#content{
		width:100%;
	}
	
	#main #sidebar-first{
		display:none;
	}
	
	.view-display-id-mmain_news .view-content{
		flex-direction:column;
	}
	
	.view-display-id-mmain_news .view-content .str-news{
		margin-bottom:30px;
	}
	
	#page-wrapper{
		width:100%;
		padding:0 20px;
	}
	
	ul.sp-questions-cont >li .div_question a{
		flex-direction:column;
	}
	
	ul.sp-questions-cont >li img{
		width:100 !important;
		height:auto !important;
	}
	
	#content .node__content embed, #content .node__content iframe{
		width: 100%;
		height: auto;
	}
	
	ul.sp-news-cont >li{
		flex-direction:column;
	}
	
	.block-cat-vopr-i-otvet ul{
		display:flex;
		flex-direction:column;
	}
	
	.block-cat-vopr-i-otvet .item-list ul >li{
	   width: 90%;
	   margin: 0 auto;
	   margin-bottom:30px;
	}
	
	.block-cat-vopr-i-otvet .item-list ul >li:last-child{
		margin-bottom:0px;
	}
	
}

